Page MenuHomePhabricator

MassMessage notifies you when posting specifically to Flow boards
Closed, ResolvedPublic

Description

I recently used Special:MassMessage to send a notification to 1,800+ talk pages. Rather than have the posts signed as "MediaWiki message delivery," I opted to have it signed under my own name by doing the usual [[User:Harej|Harej]]. I ended up getting two notifications about "MediaWiki message delivery" pinging me, even though they were just my own comments. But I only got two notifications, not over 1,800. Both of the notifications were from posts to Flow boards:

https://en.wikipedia.org/w/index.php?title=Topic:S9votlzzkv0yz49e&topic_showPostId=s9votmaguo7uw9jm&fromnotif=1#flow-post-s9votmaguo7uw9jm

https://en.wikipedia.org/w/index.php?title=Topic:S9vousecxfm7f5kk&topic_showPostId=s9vousj93cqgo8hg&fromnotif=1#flow-post-s9vousj93cqgo8hg

In the long term, the way MassMessage messages are attributed should be revisited (T71954: Add support to MassMessage to allow using the sender's username for deliveries), but in the meantime, it shouldn't ping me over my own message.

Details

Related Gerrit Patches:
mediawiki/extensions/MassMessage : masterMassMessage flow mention fixed

Event Timeline

Harej created this task.Jan 14 2015, 8:21 PM
Harej raised the priority of this task from to Needs Triage.
Harej updated the task description. (Show Details)
Harej added subscribers: Harej, Legoktm.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 14 2015, 8:21 PM
Legoktm set Security to None.
Quiddity triaged this task as Medium priority.Jan 14 2015, 9:45 PM
Quiddity updated the task description. (Show Details)Feb 24 2015, 5:28 PM
Legoktm moved this task from Backlog to Needs code on the Notifications board.Jul 6 2015, 7:45 AM

Comments from merged task:

On my way to distribute the survey about Flow, I'm receiving notifications and emails. Fortunately, I'm only targeting 1300 pages .

Idea: perhaps the delivery bot is on the user blacklist for mentions, and Flow mentions don't respect this blacklist while wikitext mentions do? If that's true, this would be a general bug not related to MassMessage.

Tested in betalabs: when a message via Special:MassMessage is posted on a Flow board, a new topic is created. If a sender has this Flow board on his watchlist - the user will get notification.

Plus here's a link to the Blacklist config details, which still need to be better understood:
https://www.mediawiki.org/wiki/Extension:Echo#Usage
(AFAIK, the only wiki which utilises this is Enwiki - https://en.wikipedia.org/wiki/MediaWiki:Echo-blacklist ) (and I don't know how to search for the existence of local versions elsewhere, per T129698: Example quarry query for searching multiple wikis for locally customized mediawiki:foo pages)

Catrope claimed this task.Sep 19 2016, 11:52 PM
Catrope moved this task from Untriaged to In Development on the Collab-Team-Q1-July-Sep-2016 board.

Idea: perhaps the delivery bot is on the user blacklist for mentions, and Flow mentions don't respect this blacklist while wikitext mentions do? If that's true, this would be a general bug not related to MassMessage.

I was wrong, it's just a simple hack in MassMessage: https://github.com/wikimedia/mediawiki-extensions-MassMessage/blob/master/MassMessage.hooks.php#L138 . That needs to be updated to add 'flow-mention', I'll do that now.

Catrope reassigned this task from Catrope to KMuthu.Sep 20 2016, 6:48 PM

Change 311854 had a related patch set uploaded (by Kmuthu):
MassMessage flow mention fixed

https://gerrit.wikimedia.org/r/311854

Change 311854 merged by jenkins-bot:
MassMessage flow mention fixed

https://gerrit.wikimedia.org/r/311854

Checked in betalabs - no extra notificaitons (self-mention notifications as described in the ticket).

jmatazzoni closed this task as Resolved.Oct 5 2016, 6:37 PM